package com.zksy.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zksy.common.domain.FileManager;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 文件管理Service接口
 *
 * @author sy
 * @date 2025-06-25
 */
public interface FileManagerService extends IService<FileManager> {
    boolean saveMinio(FileManager crmFile, MultipartFile multipartFile);
    boolean updateMinio(FileManager crmFile, MultipartFile multipartFile);
    boolean deleteFile(String id);
    List<FileManager> getFileByFid(String fid);
}
